Package org.apache.sling.scripting.sightly.compiler.backend

## Interface BackendCompiler

    @ConsumerType
    public interface BackendCompiler

A `BackendCompiler` can be hooked in into the `SightlyCompiler` in order to transpile HTL `Command`s into other JVM supported languages. The transpilation can be performed with the help of specific `CommandVisitor` implementations that are attached to the `Command`s from the `CommandStream`.

For more details see `SightlyCompiler.compile(CompilationUnit, BackendCompiler)`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handle​(CommandStream stream)` Process a stream of commands

### Method Detail

#### handle

    void handle​(CommandStream stream)

Process a stream of commands

Parameters:
  `stream` - the stream of commands